myapps:
  storage:
    root: /data/obpm-demo
  siteid:
  feign-path: /obpm
server:
  port: 8082
  tomcat:
    uri-encoding: UTF-8
  servlet:
    context-path: /designer
    session:
      timeout: 3600
    jsp:
      init-parameters:
        development: true
spring:
  mvc:
    view:
      prefix: /
      suffix: .jsp
    static-path: /**
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
  application:
    name: obpm-designer
  cloud:
    consul:
      discovery:
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-interval: 10s
        health-check-path: /designer/actuator/health
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
        enabled: true
      host: 172.16.10.7
      port: 9500
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,/

feign:
  client:
    config:
      default:
        connect-timeout: 60000
        read-timeout: 60000 #设置远程调用超时时间
ribbon:
  ReadTimeout: 20000
  ConnectTimeout: 20000

